cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nikhil Khandelwal (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-8985) Cordova wont install or update
Date Thu, 07 May 2015 21:02:00 GMT

     [ https://issues.apache.org/jira/browse/CB-8985?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nikhil Khandelwal resolved CB-8985.
-----------------------------------
    Resolution: Fixed

> Cordova wont install or update
> ------------------------------
>
>                 Key: CB-8985
>                 URL: https://issues.apache.org/jira/browse/CB-8985
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI
>    Affects Versions: 4.1.3, 5.0.0
>         Environment: Windows
>            Reporter: Kris Erickson
>
> Update cordova gives an error, and blows away Cordova.  Installing also gives the error,
the only fix is to install version 4.0.0
> >npm install -g cordova
> npm ERR! notarget No compatible version found: JSONStream@'>=1.0.3-0 <2.0.0-0'
> npm ERR! notarget Valid install targets:
> npm ERR! notarget ["0.0.0","0.1.0","0.1.1","0.1.2","0.1.3","0.2.0","0.2.1","0.2.2","0.2.3","0.3.0","0.3.1","0.3.2","0.3.3","0.4.0","0.4.1","0.4.2","0.4.3","0.4.4","0.5.0","0.6.0","0.6.1","0.6.2","0.6.3","0.6.4","0.7.0","0.7.1","0.8.0","0.7.2","0.7.3","0.7.4","0.8.1","0.8.2","0.8.3","0.8.4","0.9.0","0.10.0"]
> npm ERR! notarget
> npm ERR! notarget This is most likely not a problem with npm itself.
> npm ERR! notarget In most cases you or one of your dependencies are requesting
> npm ERR! notarget a package version that doesn't exist.
> npm ERR! System Windows_NT 6.1.7601
> npm ERR! command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js"
>  "install" "-g" "cordova"
> npm ERR! cwd D:\Projects\
> npm ERR! node -v v0.10.38
> npm ERR! npm -v 1.4.28
> npm ERR! code ETARGET
> npm ERR! not ok code 0
> See also 
> http://stackoverflow.com/questions/30107474/error-installing-cordova
> http://stackoverflow.com/questions/30107556/trouble-installing-phonegap-no-compatible-version-found-jsonstream-1-0-3
> http://forum.ionicframework.com/t/issues-installing-cordova-using-npm-install/22573



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message